-# haml-lint:disable LineLength
- url = resource_interaction.id ? admin_resource_interaction_path(resource_interaction) : admin_resource_interactions_path
-# haml-lint:enable LineLength
= form_for resource_interaction, url: url do |f|
  = render 'layouts/form_errors',
           entity: resource_interaction,
           message: t('.errors', count: resource_interaction.errors.count)

  ._show-page
    %section._show-page__panel
      .rui-field
        = f.label :subject_id, t('activerecord.attributes.resource_interaction.subject')
        = f.collection_select :subject_id,
                              ResourceInteractionsGroup.order(:name),
                              :id,
                              :name,
                              { include_blank: true },
                              { required: true }
      .rui-field
        = f.label :nature
        = f.select :nature,
                   enum_options_for_select(ResourceInteraction, :nature),
                   { include_blank: true },
                   { required: true }
      .rui-field
        = f.label :target_id, t('activerecord.attributes.resource_interaction.target')
        = f.collection_select :target_id,
                              ResourceInteractionsGroup.order(:name),
                              :id,
                              :name,
                              { include_blank: true },
                              { required: true }

      .rui-field
        = f.label :notes
        = f.text_field :notes

      .rui-field
        = f.label :sources
        = f.text_area :sources
        .rui-field__help= t('.sources_help')

    ._show-page__content
      = render 'admin/resource_interactions/form_help'

  = render 'layouts/form_actions'
